Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.value
Interface Reference

All Superinterfaces:
  Comparable<Reference>, Serializable

All Known Implementing Classes:
  NodeKeyReference, StringReference, UuidReference

    @Immutable
    public interface Reference

extends Comparable<Reference>, Serializable

A representation of a reference to another node. Node references may not necessarily resolve to an existing node.

Method Summary
`String` | `getString()` Get the string form of the Reference.
`String` | `getString(TextEncoder encoder)` Get the encoded string form of the Reference, using the supplied encoder to encode characters in the reference.
`boolean` | `isWeak()` Determine whether this reference is considered a weak reference.

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getString

    String getString()

  Get the string form of the Reference. The `default encoder` is used to encode characters in the reference.

  Returns:
    the encoded string
  See Also:
    `getString(TextEncoder)`

### getString

    String getString(TextEncoder encoder)

  Get the encoded string form of the Reference, using the supplied encoder to encode characters in the reference.

  Parameters:
    `encoder` - the encoder to use, or null if the `default encoder` should be used
  Returns:
    the encoded string
  See Also:
    `getString()`

### isWeak

    boolean isWeak()

  Determine whether this reference is considered a weak reference.

  Returns:
    true if this is a weak reference, or false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.